package com.liquidnet.common.third.xuper.dto;

import lombok.Data;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: 分页拉取指定账户持有碎片列表
 * @class: Xuper001GetStokenReqDto
 * @Package com.liquidnet.common.third.xuper.dto
 * @Copyright: LightNet @ Copyright (c) 2022
 * @date 2022/4/18 15:10
 */
@Data
public class Xuper011ListSdsByAddrReqDto {
    //要拉取的区块链账户地址
    private String addr = "";
    //要拉取页数，第一页为1
    private int page = 1;
    //每页拉取数量，默认20，最大50（可选）
    private int limit = 50;

    private static final Xuper011ListSdsByAddrReqDto obj = new Xuper011ListSdsByAddrReqDto();
    public static Xuper011ListSdsByAddrReqDto getNew() {
        try {
            return (Xuper011ListSdsByAddrReqDto) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Xuper011ListSdsByAddrReqDto();
        }
    }
}
